Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.functions
Class NamePart

    java.lang.Object
      net.sf.saxon.expr.Expression
          net.sf.saxon.expr.FunctionCall
              net.sf.saxon.functions.SystemFunction
                  net.sf.saxon.functions.NamePart

All Implemented Interfaces:
  Serializable, SourceLocator, Container, EvaluableItem, SequenceIterable, InstructionInfoProvider

    public class NamePart

extends SystemFunction

This class supports the name(), local-name(), and namespace-uri() functions from XPath 1.0, and also the XSLT generate-id() function

See Also:
  Serialized Form

Field Summary
`static int` | `DOCUMENT_URI`
`static int` | `GENERATE_ID`
`static int` | `LOCAL_NAME`
`static int` | `NAME`
`static int` | `NAMESPACE_URI`
`static int` | `NODE_NAME`

Fields inherited from class net.sf.saxon.expr.Expression
`EVALUATE_METHOD, ITERATE_METHOD, PROCESS_METHOD`

Constructor Summary
`NamePart()`

Method Summary
`int` | `computeSpecialProperties()` Determine the special properties of this expression.
`Item` | `evaluateItem(XPathContext c)` Evaluate the function in a string context
`static boolean` | `isGenerateIdFunction(Expression exp)` Test whether an expression is a call on the generate-id() function
`Expression` | `simplify(StaticContext env)` Simplify and validate.

Methods inherited from class net.sf.saxon.functions.SystemFunction
`checkArguments, computeCardinality, display, getDetails, getErrorCodeForTypeErrors, getItemType, main, makeSystemFunction, optimize, setDetails`

Methods inherited from class net.sf.saxon.expr.FunctionCall
`getArguments, getDisplayName, getFunctionNameCode, getNumberOfArguments, iterateSubExpressions, preEvaluate, promote, replaceSubExpression, setArguments, setFunctionNameCode, typeCheck`

Methods inherited from class net.sf.saxon.expr.Expression
`adoptChildExpression, checkPermittedContents, computeDependencies, computeStaticProperties, doPromotion, effectiveBooleanValue, evaluateAsString, getCardinality, getColumnNumber, getContainingProcedure, getDependencies, getExecutable, getHostLanguage, getImplementationMethod, getInstructionInfo, getIntrinsicDependencies, getLineNumber, getLocationId, getLocationProvider, getParentExpression, getPublicId, getSlotsUsed, getSpecialProperties, getSystemId, hasBadParentPointer, iterate, markTailFunctionCalls, process, resetStaticProperties, setLocationId, setParentExpression, setParentExpression, suppressValidation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final int NAME

See Also:
  Constant Field Values

### LOCAL_NAME

    public static final int LOCAL_NAME

See Also:
  Constant Field Values

### NAMESPACE_URI

    public static final int NAMESPACE_URI

See Also:
  Constant Field Values

### GENERATE_ID

    public static final int GENERATE_ID

See Also:
  Constant Field Values

### DOCUMENT_URI

    public static final int DOCUMENT_URI

See Also:
  Constant Field Values

### NODE_NAME

    public static final int NODE_NAME

See Also:
  Constant Field Values

Constructor Detail

### NamePart

    public NamePart()

Method Detail

### simplify

    public Expression simplify(StaticContext env)
                        throws XPathException

  Simplify and validate.

  Overrides:
    `simplify` in class `FunctionCall`
  Returns:
    the simplified expression
  Throws:
    `XPathException` - if an error is discovered during expression rewriting

### computeSpecialProperties

    public int computeSpecialProperties()

  Determine the special properties of this expression. The generate-id() function is a special case: it is considered creative if its operand is creative, so that generate-id(f()) is not taken out of a loop

  Overrides:
    `computeSpecialProperties` in class `SystemFunction`

### evaluateItem

    public Item evaluateItem(XPathContext c)
                      throws XPathException

  Evaluate the function in a string context

  Specified by:
    `evaluateItem` in interface `EvaluableItem`
  Overrides:
    `evaluateItem` in class `Expression`
  Parameters:
    `c` - The context in which the expression is to be evaluated
  Returns:
    the node or atomic value that results from evaluating the expression; or null to indicate that the result is an empty sequence
  Throws:
    `XPathException` - if any dynamic error occurs evaluating the expression

### isGenerateIdFunction

    public static boolean isGenerateIdFunction(Expression exp)

  Test whether an expression is a call on the generate-id() function

  Parameters:
    `exp` - the expression to be tested
  Returns:
    true if exp is a call on generate-id(), else false

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.